Name:       geoip-geolite
# The geolite databases are updated on the first Tuesday of each month,
# therefore we will use a versioning scheme of YYYY.MM for the fedora
# package.
Version:    2012.02
Release:    1%{?dist}
Summary:    Free IP geolocation databases

Group:      Development/Libraries

License:    CC-BY-SA
URL:        http://dev.maxmind.com/geoip/geolite
Source0:    http://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz
Source1:    http://geolite.maxmind.com/download/geoip/database/GeoIPv6.dat.gz
Source2:    http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz
Source3:    http://geolite.maxmind.com/download/geoip/database/GeoLiteCityv6-beta/GeoLiteCityv6.dat.gz

%description
The GeoLite databases are free IP geolocation databases.

The GeoLite databases are distributed under the Creative Commons
Attribution-ShareAlike 3.0 Unported License. The attribution requirement may
be met by including the following in all advertising and documentation
mentioning features of or use of this database: "This product includes
GeoLite data created by MaxMind, available from http://www.maxmind.com".

%prep
%setup -q -T -c -n geoip-geolite
cp %{SOURCE0} GeoIP.dat.gz
cp %{SOURCE1} GeoIPv6.dat.gz
cp %{SOURCE2} GeoLiteCity.dat.gz
cp %{SOURCE3} GeoLiteCityv6.dat.gz

gunzip GeoIP.dat.gz
gunzip GeoIPv6.dat.gz
gunzip GeoLiteCity.dat.gz
gunzip GeoLiteCityv6.dat.gz

%build
# pass.  nothing to do here.

%install
%{__mkdir_p} %{buildroot}/%{_datadir}/geoip/
cp GeoIP.dat         %{buildroot}/%{_datadir}/geoip/GeoIP.dat
cp GeoIPv6.dat       %{buildroot}/%{_datadir}/geoip/GeoIPv6.dat
cp GeoLiteCity.dat   %{buildroot}/%{_datadir}/geoip/GeoLiteCity.dat
cp GeoLiteCityv6.dat %{buildroot}/%{_datadir}/geoip/GeoLiteCityv6.dat

%files
%doc
%{_datadir}/geoip/

%changelog
* Mon Feb 11 2013 Ralph Bean <rbean@redhat.com> - 2012.02-1
- Initial packaging for Fedora.
